import { request } from '../../../utils';
import { API } from '../../../types';
import { ResponseType } from '../response-type';

export interface PostGetRegionsReturn extends ResponseType {
  data: { id: number; name: string }[];
}

export const regionsApi = {
  getRegions: () => request.postForm<PostGetRegionsReturn>(API.GET_REGIONS)
};
